Cannot properly 'Resolve' finish scripts for Openstack
Status: Rejected   

Priority: Normal   

Assignee:    

Category: Templates   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When you try to create a new host for an Openstack cluster and select all of the host settings including 'Operating System'

configuration options you cannot properly get 'Resolve' to find a provisioning template (or find one automatically). When you select

'Resolve' it returns 'Sorry but no templates were configured.'. This is not the case as the finish template is specified for the OS being

used.

Now, here's where I believe it's a bug. If you hit 'submit' Foreman returns an error that you need to select an OS. You then re-select

the OS and click 'Resolve'. At that time it NOW finds the proper provisioning/finish template and you are then able to hit submit and

create the host.

History

#1 - 01/13/2014 02:37 PM - Dominic Cleal

- Category changed from VM management to Templates

#2 - 01/15/2014 06:45 PM - Greg Sutcliffe

- Status changed from New to Need more information

I'm not sure I follow - you say you selected an Operatingsystem, but then Foreman throws an error saying you need to select an Operatingsystem?

That sounds more like the real problem here...

#3 - 02/29/2016 04:19 AM - Tomer Brisker

- Status changed from Need more information to Rejected

Over 2 years waiting for more info, could not reproduce. Closing this, reopen if still exists and provide more reproduction details.
